AWSTemplateFormatVersion: "2010-09-09"
Description: "Create EC2 Mappings"

Parameters:
  Enviroment:
    Type: String
    AllowedValues:
      - dev
      - stage
      - prod
    Default: dev
    Description: Select Enviroment

Mappings:
  EnvMap:
    dev:
      instanceType: t2.micro
      Name: dev
    stage:
     instanceType: t2.small
     Name: stage
    prod:
     instanceType: t2.large
     Name: prod

Resources:
  Instance:
    Type: AWS::EC2::Instance
    Properties:
      InstanceType: !FindInMap [EnvMap, !Ref Enviroment, instanceType]
      ImageId: ami-04e914639d0cca79a
      KeyName: cloudformation
      Tags:
        - Key: Name
          Value: !FindInMap [EnvMap, !Ref Enviroment, Name]
Outputs:
  InstanceName:
    Value: !Ref Instance